# EXTTextureCompressionRGTC (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTTextureCompressionRGTC

    java.lang.Object
      org.lwjgl.opengl.EXTTextureCompressionRGTC

    public final class EXTTextureCompressionRGTC

extends java.lang.Object

Field Summary
`static int` `GL_COMPRESSED_RED_GREEN_RGTC2_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static int` `GL_COMPRESSED_RED_RGTC1_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static int` `GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static int` `GL_COMPRESSED_SIGNED_RED_RGTC1_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COMPRESSED_RED_RGTC1_EXT

    public static final int GL_COMPRESSED_RED_RGTC1_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_COMPRESSED_SIGNED_RED_RGTC1_EXT

    public static final int GL_COMPRESSED_SIGNED_RED_RGTC1_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_COMPRESSED_RED_GREEN_RGTC2_EXT

    public static final int GL_COMPRESSED_RED_GREEN_RGTC2_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT

    public static final int GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.